Bug 1506188 - server-del doesn't remove dns-server configuration from ldap
Summary: server-del doesn't remove dns-server configuration from ldap
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks: 1506525
TreeView+ depends on / blocked
 
Reported: 2017-10-25 11:06 UTC by Petr Vobornik
Modified: 2018-04-10 16:49 UTC (History)
8 users (show)

Fixed In Version: ipa-4.5.4-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1506525 (view as bug list)
Environment:
Last Closed: 2018-04-10 16:48:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0918 None None None 2018-04-10 16:49:12 UTC

Description Petr Vobornik 2017-10-25 11:06:14 UTC
Cloned from upstream: https://pagure.io/freeipa/issue/6572

After servel-del <hostname>, command dnsserver-show <hostname> still shows server configuration in case that <hostname> had installed DNS

The command server-del should ensure that this configuration is removed.

Comment 2 Petr Vobornik 2017-10-25 11:06:29 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6572

Comment 3 Petr Vobornik 2017-10-25 11:07:28 UTC
master:
    063211d server.py: Removes dns-server configuration from ldap
ipa-4-5:
    005c928 server.py: Removes dns-server configuration from ldap

Comment 7 Nikhil Dehadrai 2017-11-16 14:44:45 UTC
IPA-version: ipa-server-4.5.4-4.el7.x86_64

Tested the bug with following observations:
1) Setup IPA-MASTER and REPLICA on RHEL 7.5, both configured with dns.
2) Login to IPA-Master and run 
# ipa server-del <Replica-hostname>

3) Noticed that following error message is received
ipa: ERROR: Server removal aborted: 

Replication topology in suffix 'domain' is disconnected:

4) In case of IPA-MASTER and REPLICA configured with RHEL 7.4.3, this issue is not observed.

Thus on the basis of above observations, marking status of bug to "ASSIGNED".

Comment 13 Nikhil Dehadrai 2017-11-23 05:06:13 UTC
IPA Version: ipa-server-4.5.4-4.el7.x86_64

Verified the bug on the basis of following points:
1. Verified that upon executing 'ipa server-del <replica>' command on MASTER the replica server entry is removed successfully.
2. No error message is observed.

Thus on the basis of above observations marking status of bug to "VERIFIED".

Comment 17 errata-xmlrpc 2018-04-10 16:48:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0918


Note You need to log in before you can comment on or make changes to this bug.